		var itemNumber = 0;
		var searchTerm = "";
		var sortby = "N/A";
		var category = "All";
		var size = "large";
		var searchFly = "no";
		
		System.Gadget.Flyout.file = "flyout.html";
		System.Gadget.settingsUI = "settings.html";
		
		System.Gadget.onSettingsClosed = settingsClosed;
		
		// Reads The Settings.html file and gets any changed variables
		function settingsClosed()
		{
			if (System.Gadget.Settings.read("searchFly") != "") {
				searchFly = System.Gadget.Settings.read("searchFly");
				
				if (searchFly == "no")
					document.getElementById("search").src = "Images/moreinfo.png";
				else //flyoutSetting is show10
					document.getElementById("search").src = "Images/showten.png";
				if (searchTerm == "")
					document.getElementById("search").src = "Images/search.png";
			}
				
			if ((System.Gadget.Settings.read("size") != size) && (System.Gadget.Settings.read("size") != ""))
			{
				size = System.Gadget.Settings.read("size");
				if (size == "large")
				{
					document.body.style.height = "230px";
					document.body.style.background = "url('Images/background.png') no-repeat";
					document.getElementById("last").style.top = "167px";
					document.getElementById("next").style.top = "167px";
					document.getElementById("search").style.top = "177px";
					document.getElementById("newsearch").style.top = "202px";
					if (document.getElementById("producttitle") != null)
						document.getElementById("producttitle").style.height = "40px";
					System.Gadget.background = "Images/background.png";
					startNewSearch();
				}
				else
				{
					document.body.style.height = "160px";
					document.body.style.background = "url('Images/smallbackground.png') no-repeat";
					document.getElementById("last").style.top = "97px";
					document.getElementById("next").style.top = "97px";
					document.getElementById("search").style.top = "107px";
					document.getElementById("newsearch").style.top = "132px";
					if (document.getElementById("producttitle") != null)
						document.getElementById("producttitle").style.height = "45px";
					System.Gadget.background = "Images/smallbackground.png";
					startNewSearch();			
				}
			}
		}
		
		// Disables the next button when the last item is current
		function lastItem()
		{
			document.getElementById("next").disabled = false;
			document.getElementById("gadgetContent").innerHTML = "<p><img src='Images/Loading.gif' /><br><br>Loading...</p>";
			itemNumber--;
			if (itemNumber == 1)
				document.getElementById("last").disabled = true;
			showDisplay("down");
		}
		
		// Disables the last button for the first current item
		function nextItem()
		{
			document.getElementById("last").disabled = false;
			document.getElementById("gadgetContent").innerHTML = "<p><img src='Images/Loading.gif' /><br><br>Loading...</p>";
			itemNumber++;
			showDisplay("up");
		}
		
		// Initiates a new search
		function newSearch()
		{	
			if (document.getElementById("searchText").value == "")
			{
				searchTerm = "";
				sortby = document.getElementById("sort").value
				category = document.getElementById("category").value;
				document.getElementById("gadgetContent").innerHTML = "<p>You must enter a search term prior to searching!</p>";
				document.getElementById("next").disabled = true;
				document.getElementById("last").disabled = true;
				document.getElementById("newsearch").disabled = false;
				document.getElementById("search").disabled = true;
				itemNumber = 1;
			}
			else
			{
				document.getElementById("next").disabled = false;
				document.getElementById("last").disabled = true;
				document.getElementById("newsearch").disabled = false;
				searchTerm = document.getElementById("searchText").value;
				if (size == "large")
				{
					category = document.getElementById("category").value;
					sortby = document.getElementById("sort").value;
				}
				else
				{
					category = "";
					sortby = "N/A";
				}
				document.getElementById("search").onclick = showFlyout;
				if (searchFly == "no")
					document.getElementById("search").src = "Images/moreinfo.png";
				else //flyoutSetting is show10
					document.getElementById("search").src = "Images/showten.png";
				document.getElementById("gadgetContent").innerHTML = "<p><img src='Images/Loading.gif' /><br><br>Loading...</p>";
				itemNumber = 1;
				showDisplay("up");
			}
		}
		
		// Sends current search data to the external page
		function showDisplay(way)
		{ 
			var url="http://www.buildagadget.com/Gadgets/eBay.php?type=regular&c=" + category + "&q=" + searchTerm + "&i=" + itemNumber + "&s=" + sortby + "&size=" + size + "&way=" + way + "&st=" + searchFly;
			try
			{
				xmlHttp=GetXmlHttpObject(stateChanged);
				xmlHttp.open("GET", url , true);
				xmlHttp.setRequestHeader("If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT");
				xmlHttp.send(null);
			}
			catch(e)
			{
				document.getElementById("gadgetContent").innerHTML=e.description;
			}
		}
		
		// Tests for http 200 OK on the AJAX call
		function stateChanged() 
		{ 
			if (xmlHttp.readyState==4)
			{ 
				if (xmlHttp.status === 200) {  
					document.getElementById("gadgetContent").innerHTML=xmlHttp.responseText; 
					totalResults();
				} else {
					document.getElementById("gadgetContent").innerHTML="<p>An internal error has occured.  Please try again!</p>";
				}
			} 
		}
		
		// Prints out the results number and makes a link out of it
		function totalResults()
		{
			itemNumber = document.getElementById("itemnumber").innerHTML;
			
			if (itemNumber >= parseInt(document.getElementById("resultnumber").innerHTML))
			{
				document.getElementById("next").disabled = true;
				document.getElementById("last").disabled = false;
			}
			if (itemNumber <= 1)
			{
				document.getElementById("last").disabled = true;
				document.getElementById("next").disabled = false;
			}
			
			document.getElementById("resultnumber").innerHTML="<p><a href=\"http://rover.ebay.com/rover/1/711-1751-2978-71/1?AID=5463217&PID=2342639&mpre=http%3A%2F%2Fsearch.ebay.com%2F" + searchTerm.replace(" ", "-") + "_W0QQfkrZ1QQfromZR8QQ" + changeMode(category) + "\">" + itemNumber + " of " + document.getElementById("resultnumber").innerHTML + "</a></p>";

		}
		
		// Starts a new search and refills the HTML in the gadget with default values
		function startNewSearch()
		{
			document.getElementById("search").onclick = newSearch;
			document.getElementById("search").src = "Images/search.png";
			document.getElementById("search").disabled = false;
			document.getElementById("newsearch").disabled = true;
			document.getElementById("next").disabled = true;
			document.getElementById("last").disabled = true;
			searchTerm = "";
			itemNumber = 0;
			if (size == "small")
			{
				document.getElementById("gadgetContent").innerHTML= '<a href="http://rover.ebay.com/rover/1/711-1751-2978-71/1?AID=5463217&PID=2342639"><img src="Images/eBay.png" /></a><br />\
																	<p>Search Text:</p>\
																	<input type="text" id="searchText" />';
				document.getElementById("searchText").value = searchTerm;
			}
			else
			{
				document.getElementById("gadgetContent").innerHTML= '<a href="http://rover.ebay.com/rover/1/711-1751-2978-71/1?AID=5463217&PID=2342639"><img src="Images/eBay.png" /></a><br />\
																	<p>Search Text:</p>\
																	<input type="text" id="searchText" />\
																	<p>Category:</p>\
																	<select id="category" onChange="changeSort()">\
																		<option value="">All</option>\
																		<option value="20081">Antiques</option>\
																		<option value="550">Art</option>\
																		<option value="2984">Baby</option>\
																		<option value="267">Books</option>\
																		<option value="12576">Business</option>\
																		<option value="625">Photography</option>\
																		<option value="6000">Motors</option>\
																		<option value="15032">Cell Phones</option>\
																		<option value="11450">Clothing</option>\
																		<option value="11116">Coins</option>\
																		<option value="1">Collectibles</option>\
																		<option value="58058">Computers</option>\
																		<option value="293">Electronics</option>\
																		<option value="14339">Crafts</option>\
																		<option value="237">Dolls</option>\
																		<option value="11232">DVD</option>\
																		<option value="45100">Entertainment Memorabilia</option>\
																		<option value="31411">Gift Certificates</option>\
																		<option value="26395">Health &amp; Beauty</option>\
																		<option value="11700">Home &amp; Garden</option>\
																		<option value="281">Jewelry</option>\
																		<option value="11233">Music</option>\
																		<option value="619">Instruments</option>\
																		<option value="870">Pottery &amp; Glass</option>\
																		<option value="10542">Real Estate</option>\
																		<option value="316">Services</option>\
																		<option value="382">Sports</option>\
																		<option value="64482">Sports Cards</option>\
																		<option value="260">Stamps</option>\
																		<option value="1305">Tickets</option>\
																		<option value="220">Toys</option>\
																		<option value="3252">Travel</option>\
																		<option value="1249">Video Games</option>\
																		<option value="99">Everything Else</option>\
																</select>\
																	<p>Sort:</p>\
																	<select id="sort">\
																	</select>';
				document.getElementById("searchText").value = searchTerm;
				document.getElementById("category").value = category;
				changeSort();
				document.getElementById("sort").value = sortby;
			}
		}
		
		// Initiates the flyout with more information
		function showFlyout()
		{
			System.Gadget.Flyout.show = true;
			System.Gadget.Flyout.onShow = showFlyoutDisplay();
		}
		
		// Switches in the category id for the total numbers search link
		function changeMode(searchTerm)
		{
			switch (searchTerm)
			{
				case "All":
					return "QQsacatZ0";
					break;
				case "Antiques":
					return "QQsacatZ20081";
					break;
				case "Art":
					return "QQsacatZ550";
					break;
				case "Baby":
					return "QQsacatZ2984";
					break;
				case "Books":
					return "QQsacatZ267";
					break;
				case "Business":
					return "QQsacatZ12576";
					break;
				case "Photography":
					return "QQsacatZ625";
					break;
				case "Motors":
					return "QQsacatZ6000";
					break;
				case "CellPhones":
					return "QQsacatZ15032";
					break;
				case "Clothing":
					return "QQsacatZ11450";
					break;
				case "Coins":
					return "QQsacatZ11116";
					break;
				case "Collectibles":
					return "QQsacatZ1";
					break;
				case "Computers":
					return "QQsacatZ58058";
					break;
				case "Electronics":
					return "QQsacatZ293";
					break;
				case "Crafts":
					return "QQsacatZ14339";
					break;
				case "Dolls":
					return "QQsacatZ237";
					break;
				case "DVD":
					return "QQsacatZ11232";
					break;
				case "EntertainmentMemorobilia":
					return "QQsacatZ45100";
					break;
				case "GiftCertificates":
					return "QQsacatZ31411";
					break;
				case "HealthBeauty":
					return "QQsacatZ26395";
					break;
				case "Home":
					return "QQsacatZ11700";
					break;
				case "Jewelry":
					return "QQsacatZ281";
					break;
				case "Music":
					return "QQsacatZ11233";
					break;
				case "Instruments":
					return "QQsacatZ619";
					break;
				case "PotteryGlass":
					return "QQsacatZ870";
					break;
				case "RealEstate":
					return "QQsacatZ10542";
					break;
				case "Services":
					return "QQsacatZ316";
					break;
				case "Sports":
					return "QQsacatZ382";
					break;
				case "SportsCards":
					return "QQsacatZ64482";
					break;
				case "Stamps":
					return "QQsacatZ260";
					break;
				case "Tickets":
					return "QQsacatZ1305";
					break;
				case "Toys":
					return "QQsacatZ220";
					break;
				case "Travel":
					return "QQsacatZ3252";
					break;
				case "VideoGames":
					return "QQsacatZ1249";
					break;
				case "EverythingElse":
					return "QQsacatZ99";
					break;
			}
			
		}
		
		// Changes sort options based on the category
		function changeSort()
		{
			document.getElementById('sort').options.length = 0;
			
			if (document.getElementById('category').value == "") {
				document.getElementById('sort').options[0] = new Option('N/A','N/A');
			}
			else {
				document.getElementById('sort').options[0] = new Option('Ending Soon','SortByEndDate');
				document.getElementById('sort').options[1] = new Option('Newly Listed','SortByStartDate');
				document.getElementById('sort').options[2] = new Option('Lowest Price','SortByCurrentBidAsc');
				document.getElementById('sort').options[3] = new Option('Highest Price','SortByCurrentBidDesc');
				document.getElementById('sort').options[4] = new Option('Best Match','BestMatchSort');
			}
		}
